# Properties

| Name                    |                                          Type                                         | Description                                                                                                                                                       |
| ----------------------- | :-----------------------------------------------------------------------------------: | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ActivationKey           |                                         string                                        | the activation key                                                                                                                                                |
| ComputerKey             |                                         string                                        | the computer bound key                                                                                                                                            |
| EvaluationExpired       |                                          bool                                         | flag that can be checked after the license has been validated successfully to determine if a license has expired.                                                 |
| EvaluationRemainingDays |                                          int                                          | value that can be checked after the license has been validated successfully to determine the number of remaining days for the tria/subscription                   |
| IsEvaluation            |                                          bool                                         | flag that can be checked after the license has been validated successfully to determine if a license is a trial/subscription or a permanent license               |
| QlmLicenseObject        |                                       QlmLicense                                      | QlmLicense object used internally by LicenseValidator                                                                                                             |
| ServerErrorCode         | [EServerErrorCode](/docs/api-reference/.net-api/qlmlicense/enums/eservererrorcode.md) | error code returned by the server                                                                                                                                 |
| WrongPoductVersion      |                                          bool                                         | flag that can be checked after the license has been validated successfully to determine if the user is running a version that does not correspond the license key |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/licensevalidator/properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
